Subject: bug#65554: 30.0.50; help-echo string for truncated tab-bar names is not viewable

From: Juri Linkov <[email-masked]>
Date: Mon, 28 Aug 2023 09:53:38 +0300

>> however, tab-bar--format-tab which is used by
>> tab-bar-format-tabs overrides this help-echo string with "Current tab"
>> and "Click to visit tab".  If I remove :help plist items from
>> tab-bar--format-tab, then I don't get the help-echo string that was set
>> by tab-bar-tab-name-truncated but what the tab looks like in Emacs.
>
> When truncation will be in tab-bar-tab-name-format-function
> then the useless help-echo strings in tab-bar--format-tab
> could be replaced with help strings that display the full names.

Now the help strings are displaying the full tab names.

Next I could rename tab-bar-tab-name-format-function to
tab-bar-tab-name-format-functions with the default value
composed from the code fragments of tab-bar-tab-name-format-default:

  '(tab-bar-tab-name-format-hints
    tab-bar-tab-name-format-close-button
    tab-bar-tab-name-format-face
   )

Then you will be able to customize it to:

  '(tab-bar-tab-name-format-truncate
    tab-bar-tab-name-format-hints
    tab-bar-tab-name-format-close-button
    tab-bar-tab-name-format-face
   )

That first will truncate the tab name, then add numeric hints to the
truncated name, then add the close button, then put faces on the final string
that will be displayed on the tab bar.